Bug 444079 - Fix gnome-settings-daemon and gnome-display-properties crashes on Xgl (and possibly elsewhere)
Fix gnome-settings-daemon and gnome-display-properties crashes on Xgl (and po...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
: 444090 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 17:22 EDT by James Westby
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add the NULL pointer check. (1.28 KB, patch)
2008-04-24 17:22 EDT, James Westby
no flags Details | Diff
A better NULL checking patch (1.48 KB, patch)
2008-04-25 05:54 EDT, James Westby
no flags Details | Diff

  None (edit)
Description James Westby 2008-04-24 17:22:51 EDT
Please see 
https://bugs.edge.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/199960

This bug is particularly apparent on Xgl, but looking at the code
could be seen anywhere, as screen_info_new may return NULL.

The attached patch adds the necessary NULL pointer check for this case.

Note that it also comments out two debugging statements, that
is obviously not required for the fix.

Thanks,

James
Comment 1 James Westby 2008-04-24 17:22:51 EDT
Created attachment 303693 [details]
Add the NULL pointer check.
Comment 2 Matthias Clasen 2008-04-24 17:40:28 EDT
Thanks, ssp said he'd look at the collected Ubuntu patches later today.
Comment 3 James Westby 2008-04-25 05:54:50 EDT
Created attachment 303766 [details]
A better NULL checking patch

Hi,

Here is a better patch for this issue, checking for more NULLs
in this area of the code.

Thanks,

James
Comment 4 Bug Zapper 2008-05-14 06:07:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Jackson 2008-07-31 14:44:21 EDT
*** Bug 444090 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 20:25:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:26:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.